> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.beehiiv.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.beehiiv.com/_mcp/server.

# List paid recommendations invites <Badge intent="info" minimal outlined>OAuth Scope: posts:read</Badge>

GET https://api.beehiiv.com/v2/publications/{publicationId}/paid_recommendations/invites

This feature is currently in beta and the API is subject to change.

Retrieve the invites sent for the publication's paid recommendations offers. Withdrawn invites are not returned.

Reference: https://developers.beehiiv.com/api-reference/paid-recommendations-invites/list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `publicationId` (string, required) — The prefixed ID of the publication object

### Query parameters

- `limit` (integer, optional) — A limit on the number of objects to be returned. The limit can range between 1 and 100, and the default is 10.
- `cursor` (string, optional) — Use this opaque cursor token to fetch the next page of results. Obtain the value from `next_cursor` in a previous response.

## Response

### 200

OK

- `data` (list of PaidRecommendationsInvite, required)
- `limit` (integer, optional) — The limit placed on the results. Defaults to 10 if not specified.
- `has_more` (boolean, optional) — Indicates whether there are more results available after the current page.
- `next_cursor` (string, optional) — The cursor token to use for fetching the next page of results. This will be null if has_more is false.
- `total_results` (integer, optional) — The total number of results from all pages.

## Errors

### 400 Bad Request Error

Bad Request

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 401 Unauthorized Error

Unauthorized. The API key or OAuth access token is missing, invalid, or expired.

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 403 Forbidden Error

Forbidden

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 404 Not Found Error

Resource Not Found

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 429 Too Many Requests Error

Rate Limit Exceeded

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 500 Internal Server Error

Internal Server Error

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

## Types

### PaidRecommendationsInvite

- `id` (string, required) — The prefixed ID of the invite.
- `offer_id` (string, required) — The prefixed ID of the offer the publication was invited to.
- `invited_publication_id` (string, required) — The prefixed ID of the publication that was invited to recommend you.
- `status` (enum, required) — The status of the invite.
  - Allowed values: `pending`, `accepted`, `rejected`, `inactive`, `cancelled`
- `expires_at` (integer, required) — The time a pending invite can no longer be accepted, measured in seconds since the Unix epoch.
- `created_at` (integer, required) — The time the invite was sent, measured in seconds since the Unix epoch.
- `updated_at` (integer, required) — The time the invite was last updated, measured in seconds since the Unix epoch.
- `invite_reason` (string, optional) — The note sent to the invited publication with the invite.
- `reject_reason` (string, optional) — The reason the invited publication gave for declining.

### ErrorDetail

- `message` (string, required)
- `code` (string, required)

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "rec_invite_00000000-0000-0000-0000-000000000000",
      "offer_id": "rec_offer_00000000-0000-0000-0000-000000000000",
      "invited_publication_id": "pub_11111111-1111-1111-1111-111111111111",
      "status": "pending",
      "expires_at": 1761489600,
      "created_at": 1760280000,
      "updated_at": 1760280000,
      "invite_reason": "Our readers overlap with yours.",
      "reject_reason": null
    }
  ],
  "limit": 10,
  "has_more": false,
  "next_cursor": null
}
```

**SDK Code**

```python
import requests

url = "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/paid_recommendations/invites"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/paid_recommendations/invites';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/paid_recommendations/invites"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/paid_recommendations/invites")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/paid_recommendations/invites")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/paid_recommendations/invites', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/paid_recommendations/invites");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/paid_recommendations/invites")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```